using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  预写入地址
    /// </summary>
    public interface IStation525 : IProtocol
    {
        /// <summary>
        ///  数组下一个写入指针
        /// </summary>
        public short NextIndex { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode0 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber0 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart0 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd0 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode0 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType0 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo0 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode1 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber1 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart1 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd1 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode1 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType1 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo1 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode2 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber2 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart2 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd2 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode2 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType2 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo2 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode3 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber3 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart3 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd3 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode3 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType3 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo3 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode4 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber4 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart4 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd4 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode4 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType4 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo4 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode5 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber5 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart5 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd5 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode5 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType5 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo5 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode6 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber6 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart6 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd6 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode6 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType6 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo6 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode7 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber7 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart7 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd7 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode7 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType7 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo7 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode8 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber8 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart8 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd8 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode8 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType8 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo8 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode9 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber9 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart9 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd9 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode9 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType9 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo9 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode10 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber10 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart10 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd10 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode10 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType10 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo10 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode11 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber11 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart11 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd11 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode11 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType11 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo11 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode12 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber12 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart12 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd12 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode12 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType12 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo12 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode13 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber13 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart13 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd13 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode13 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType13 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo13 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode14 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber14 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart14 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd14 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode14 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType14 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo14 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode15 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber15 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart15 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd15 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode15 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType15 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo15 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode16 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber16 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart16 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd16 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode16 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType16 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo16 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode17 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber17 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart17 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd17 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode17 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType17 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo17 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode18 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber18 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart18 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd18 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode18 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType18 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo18 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode19 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber19 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart19 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd19 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode19 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType19 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo19 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode20 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber20 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart20 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd20 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode20 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType20 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo20 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode21 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber21 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart21 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd21 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode21 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType21 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo21 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode22 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber22 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart22 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd22 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode22 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType22 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo22 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode23 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber23 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart23 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd23 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode23 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType23 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo23 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode24 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber24 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart24 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd24 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode24 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType24 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo24 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode25 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber25 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart25 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd25 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode25 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType25 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo25 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode26 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber26 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart26 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd26 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode26 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType26 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo26 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode27 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber27 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart27 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd27 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode27 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType27 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo27 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode28 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber28 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart28 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd28 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode28 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType28 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo28 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode29 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber29 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart29 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd29 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode29 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType29 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo29 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode30 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber30 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart30 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd30 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode30 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType30 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo30 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode31 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber31 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart31 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd31 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode31 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType31 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo31 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode32 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber32 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart32 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd32 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode32 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType32 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo32 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode33 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber33 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart33 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd33 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode33 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType33 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo33 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode34 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber34 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart34 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd34 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode34 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType34 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo34 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode35 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber35 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart35 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd35 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode35 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType35 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo35 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode36 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber36 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart36 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd36 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode36 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType36 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo36 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode37 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber37 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart37 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd37 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode37 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType37 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo37 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode38 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber38 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart38 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd38 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode38 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType38 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo38 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode39 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber39 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart39 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd39 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode39 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType39 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo39 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode40 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber40 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart40 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd40 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode40 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType40 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo40 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode41 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber41 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart41 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd41 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode41 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType41 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo41 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode42 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber42 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart42 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd42 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode42 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType42 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo42 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode43 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber43 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart43 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd43 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode43 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType43 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo43 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode44 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber44 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart44 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd44 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode44 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType44 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo44 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode45 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber45 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart45 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd45 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode45 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType45 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo45 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode46 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber46 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart46 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd46 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode46 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType46 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo46 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode47 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber47 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart47 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd47 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode47 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType47 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo47 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode48 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber48 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart48 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd48 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode48 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType48 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo48 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(50)]
        public string BcrCode49 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber49 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart49 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd49 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode49 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType49 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo49 { get; set; }
    }
}
